## org.apache.naming.factory
Class Constants

    java.lang.Object
      org.apache.naming.factory.Constants

public final class Constants
extends java.lang.Object

Static constants for this package.

Field Summary
`static java.lang.String` `DBCP_DATASOURCE_FACTORY`
`static java.lang.String` `DEFAULT_EJB_FACTORY`
`static java.lang.String` `DEFAULT_RESOURCE_ENV_FACTORY`
`static java.lang.String` `DEFAULT_RESOURCE_FACTORY`
`static java.lang.String` `DEFAULT_RESOURCE_LINK_FACTORY`
`static java.lang.String` `DEFAULT_TRANSACTION_FACTORY`
`static java.lang.String` `FACTORY`
`static java.lang.String` `OBJECT_FACTORIES`
`static java.lang.String` `Package`
`static java.lang.String` `TYREX_DOMAIN_CONFIG`
`static java.lang.String` `TYREX_DOMAIN_NAME`
`static java.lang.String` `TYREX_RESOURCE_FACTORY`
`static java.lang.String` `TYREX_TRANSACTION_FACTORY`

Constructor Summary
`Constants()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### Package

    public static final java.lang.String Package

See Also:
  Constant Field Values

### DEFAULT_RESOURCE_FACTORY

    public static final java.lang.String DEFAULT_RESOURCE_FACTORY

See Also:
  Constant Field Values

### DEFAULT_RESOURCE_LINK_FACTORY

    public static final java.lang.String DEFAULT_RESOURCE_LINK_FACTORY

See Also:
  Constant Field Values

### DEFAULT_TRANSACTION_FACTORY

    public static final java.lang.String DEFAULT_TRANSACTION_FACTORY

See Also:
  Constant Field Values

### DEFAULT_RESOURCE_ENV_FACTORY

    public static final java.lang.String DEFAULT_RESOURCE_ENV_FACTORY

See Also:
  Constant Field Values

### DEFAULT_EJB_FACTORY

    public static final java.lang.String DEFAULT_EJB_FACTORY

See Also:
  Constant Field Values

### DBCP_DATASOURCE_FACTORY

    public static final java.lang.String DBCP_DATASOURCE_FACTORY

See Also:
  Constant Field Values

### TYREX_RESOURCE_FACTORY

    public static final java.lang.String TYREX_RESOURCE_FACTORY

See Also:
  Constant Field Values

### TYREX_TRANSACTION_FACTORY

    public static final java.lang.String TYREX_TRANSACTION_FACTORY

See Also:
  Constant Field Values

### OBJECT_FACTORIES

    public static final java.lang.String OBJECT_FACTORIES

See Also:
  Constant Field Values

### FACTORY

    public static final java.lang.String FACTORY

See Also:
  Constant Field Values

### TYREX_DOMAIN_CONFIG

    public static final java.lang.String TYREX_DOMAIN_CONFIG

See Also:
  Constant Field Values

### TYREX_DOMAIN_NAME

    public static final java.lang.String TYREX_DOMAIN_NAME

See Also:
  Constant Field Values

Constructor Detail

### Constants

    public Constants()

Copyright ? 2000-2002 Apache Software Foundation. All Rights Reserved.